%global _hardened_build 1
%define _cmake_skip_rpath %nil
# exclude devel(libocsync)
%global __requires_exclude  ^(devel\\(libocsync.*)$

Name:           nextcloud-client
Version:        2.3.2
Release:        %mkrel 1
Summary:        The Nextcloud Client
Group:          Archiving/Backup

# -libs are LGPLv2+, rest GPLv2
License:        LGPLv2+ and GPLv2
Url:            https://nextcloud.com/install/#install-clients
Source0:        https://github.com/nextcloud/client_theming/archive/client_theming-%{version}.tar.gz
Source1:        https://download.owncloud.com/desktop/stable/owncloudclient-%{version}.tar.xz
Source2:        %{name}.appdata.xml
Patch0:         %{name}-2.3.2-syslibs.patch
Patch1:         %{name}-icon.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  pkgconfig(neon)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  python-sphinx
BuildRequires:  qtsingleapplication-qt5-devel
BuildRequires:  appstream-util

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5KIO)

BuildRequires:  cmake(Qt5Keychain)

BuildRequires:  pkgconfig(sqlite3)

BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)

Provides:       owncloud-client = %version-%release
Obsoletes:      owncloud-client < 2.2.4-2

%description
Nextcloud-client enables you to connect to your private Nextcloud Server.
With it you can create folders in your home directory, and keep the contents
of those folders synced with your Nextcloud server. Simply copy a file into
the directory and the Nextcloud Client does the rest.

%files
%{_bindir}/nextcloud
%{_bindir}/nextcloudcmd
%{_datadir}/applications/nextcloud.desktop
%dir %{_datadir}/nextcloud
%{_datadir}/nextcloud/i18n/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/appdata/%{name}.appdata.xml
%dir %{_sysconfdir}/Nextcloud
%{_sysconfdir}/Nextcloud/sync-exclude.lst

#------------------------------------------------------------------------------

%package nautilus
Summary:        nextcloud client nautilus extension
Requires:       nautilus
Requires:       nautilus-python
Requires:       %{name} = %{version}-%{release}

%description nautilus
The nextcloud desktop client nautilus extension.

%files nautilus
%{_datadir}/nautilus-python/extensions/*

#------------------------------------------------------------------------------

%package nemo
Summary:        Nemo overlay icons
Requires:       nemo
Requires:       nemo-python
Requires:       %{name} = %{version}-%{release}

%description nemo
This package provides overlay icons to visualize the sync state
in the nemo file manager.

%files nemo
%{_datadir}/nemo-python/extensions/*

%package caja
Summary:        Caja overlay icons
Requires:       caja
Requires:       python-caja
Requires: %{name}%{?_isa} = %{version}-%{release}

%description caja
This package provides overlay icons to visualize the sync state
in the caja file manager.

%files caja
%{_datadir}/caja-python/extensions/*
#------------------------------------------------------------------------------

%package dolphin
Summary:        Dolphin overlay icons
Requires:       dolphin
Requires:       %{name} = %{version}-%{release}

%description dolphin
The nextcloud desktop client dolphin extension.

%files dolphin
%{_kf5_libdir}/libnextclouddolphinpluginhelper.so
%{_kf5_plugindir}/overlayicon/nextclouddolphinoverlayplugin.so
%{_qt5_plugindir}/nextclouddolphinactionplugin.so
%{_kf5_services}/nextclouddolphinactionplugin.desktop

#------------------------------------------------------------------------------

%define nextcloudsync_major 0
%define libnextcloudsync %mklibname nextcloudsync %nextcloudsync_major

%package -n %libnextcloudsync
Summary:        The Nextcloud Client Libraries
Group:          System/Libraries
# From owncloud-client
Obsoletes:      %{_lib}owncloudsync2 < 2.2.4-2

%description -n %libnextcloudsync
The Nextcloud Client Libraries.

%files -n %libnextcloudsync
%{_libdir}/libnextcloudsync.so.%nextcloudsync_major
%{_libdir}/libnextcloudsync.so.%version

#------------------------------------------------------------------------------

%define libocsync_major 0
%define liblibocsync %mklibname ocsync %libocsync_major

%package -n %liblibocsync
Summary:        The Nextcloud Client Libraries
Group:          System/Libraries
Obsoletes:      %{_lib}libocsync0 < 2.2.4-4
# From owncloud-client
Obsoletes:      %{_lib}ocsync2 < 2.2.4-2

%description -n %liblibocsync
The Nextcloud Client Libraries.


%files -n %liblibocsync
%dir %_libdir/nextcloud
%_libdir/nextcloud/libocsync.so.%{libocsync_major}
%_libdir/nextcloud/libocsync.so.%{version}

#------------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:        Development files for nextcloud-client
License:        LGPLv2+
Requires:       %libnextcloudsync = %{version}-%{release}
Requires:       %liblibocsync = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 2.2.4-4
# From owncloud-client
Obsoletes:      %{_lib}owncloud-client-devel < 2.2.4-2

%description -n %{develname}
Development headers for use of the nextcloud-client library.

%files -n %{develname}
%{_libdir}/libnextcloudsync.so
%{_includedir}/nextcloudsync/
%{_libdir}/libnextcloudsync.so
%{_libdir}/nextcloud/libocsync.so

#------------------------------------------------------------------------------

%prep
%setup -q -n client_theming-%{version}
%setup -q -T -D -a 1 -n client_theming-%{version}
rm -Rf client
mv owncloudclient-%{version} client
pushd client
%patch0 -p1
popd
%patch1 -p1
rm -rf src/3rdparty/qtlockedfile src/3rdparty/qtsingleapplication

%build

%cmake_kf5 \
        -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
        -DOEM_THEME_DIR=`pwd`/../nextcloudtheme ../client
%make_build


%install
%make_install -C build

%find_lang client
mkdir -p %{buildroot}%{_datadir}/appdata/
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml



%changelog
* Sat Nov 11 2017 zezinho <zezinho> 2.3.2-1.mga6
+ Revision: 1176965
- updating to latest version to fix MGA#21015

* Sun Jan 22 2017 daviddavid <daviddavid> 2.2.4-6.mga6
+ Revision: 1082996
- add patch to fix wrong library name in nextclouddolphinactionplugin.desktop file (mga#20156)
- rebase syslibs patch like fedora

* Sun Nov 06 2016 daviddavid <daviddavid> 2.2.4-5.mga6
+ Revision: 1065511
- disable skip rpath
- filter out bogus requires on devel(libocsync)
- fix desktop file icon not displayed in menu application

* Fri Nov 04 2016 daviddavid <daviddavid> 2.2.4-4.mga6
+ Revision: 1065365
- obsoletes more owncloud-client stuff
- rename liblibocsync0 to libocsync0
- rename nextcloud-client-devel to libnextcloud-client-devel
- fix some ownership dir

* Fri Nov 04 2016 neoclust <neoclust> 2.2.4-3.mga6
+ Revision: 1065359
- Fix requires

* Mon Oct 31 2016 neoclust <neoclust> 2.2.4-2.mga6
+ Revision: 1064247
- imported package nextcloud-client


* Thu Oct 27 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 2.2.4-3
- nautilus and dolphin plugins require the nextcloud-client package

* Fri Oct 21 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 2.2.4-2
- change appname of nautilus plugin to Nextcloud
- fix for Fedora 26 OpenSSL 1.1

* Fri Sep 30 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 2.2.4-1
- Update to nextcloud client 2.2.4

* Fri Sep 30 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 2.2.3-1
- Update to nextcloud client 2.2.3

* Wed Jun 29 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2

* Tue May 24 2016 Nikos Roussos <comzeradd@fedoraproject.org> 2.2.0-9
- Reapply dolphin changes

* Tue May 24 2016 Nikos Roussos <comzeradd@fedoraproject.org> 2.2.0-8
- Bump release

* Mon May 23 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.2.0-7
- Fix -dolphin subpkg

* Mon May 23 2016 Nikos Roussos <comzeradd@fedoraproject.org> 2.2.0-6
- Rebuild for qtkeychain new release

* Mon May 23 2016 Germano Massullo <germano.massullo@gmail.com> 2.2.0-5
- Added Dolphin integration subpackage

* Mon May 23 2016 Nikos Roussos <comzeradd@fedoraproject.org> 2.2.0-4
- Bump release

* Sun May 22 2016 Nikos Roussos <comzeradd@fedoraproject.org> 2.2.0-3
- Bump release

* Wed May 18 2016 Nikos Roussos <comzeradd@fedoraproject.org> - 2.2.0-2
- Fix qtkeychain requirement

* Mon May 16 2016 Nikos Roussos <comzeradd@fedoraproject.org> - 2.2.0-1
- Updated to 2.2.0
- Add hardened flag
- Update patches
- Remove merged patch

* Mon May 16 2016 Germano Massullo <germano.massullo@gmail.com> - 2.1.1-3
- Added BuildRequires:  openssl-devel to fix epel7 build problems. This buildrequires seems to be fine for other branches too.

* Thu Feb 11 2016 Germano Massullo <germano.massullo@gmail.com> - 2.1.1-2
- Added owncloud-client-nemo subpackage

* Wed Feb 10 2016 Germano Massullo <germano.massullo@gmail.com> - 2.1.1-1
- Minor update
- Added shebang patch (https://github.com/owncloud/client/issues/4436)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 04 2015 Germano Massullo <germano.massullo@gmail.com> - 2.1.0-1
- Updated to 2.1.0
- Removed httpbf stuff because no longer used in 2.1.0

* Wed Dec 02 2015 Germano Massullo <germano.massullo@gmail.com> - 2.0.2-2
- Enabled Qt5 support

* Wed Dec 02 2015  Nikos Roussos <comzeradd@fedoraproject.org> - 2.0.2-1
- Update patches

* Wed Nov 18 2015 Germano Massullo <germano.massullo@gmail.com> - 2.0.2-1
- Updated to 2.0.2
- Sorted BuildRequires entries
- Updated source URL

* Tue Sep 08 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 2.0.1-1
- Updated to 2.0.1

* Thu Sep 03 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 1.8.5-2
- remove extraneous client subpackage
- use macros for versions

* Mon Aug 31 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 1.8.4-2
- Rename -common to -libs
- Add Provides to all subpackages
- Validate appdata
- Fix multiple license issue

* Wed Jul 15 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 1.8.4-1
- Updated to 1.8.4
- Add appdata

* Wed Apr 22 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 1.8.0-5
- Remove 3rdparties dirs

* Mon Apr 20 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 1.8.0-4
- Fix provides statement
- All descriptions and summaries now start with capital letters
- Use %%license where appropriate instead of %%doc

* Wed Mar 18 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 1.8.0-3
- Obsolete all mirall subpackages

* Tue Mar 17 2015 Nikos Roussos <comzeradd@fedoraproject.org> - 1.8.0-2
- Rename mirall to owncloud-client

* Mon Mar 16 2015 Dams <anvil[AT]livna.org> - 1.8.0-1
- Updated to 1.8.0
- Updated all patches

* Fri Mar  6 2015 Dams <anvil[AT]livna.org> - 1.7.1-2
- Added gcc5 compliance patch

* Fri Mar  6 2015 Dams <anvil[AT]livna.org> - 1.7.1-1
- Updated to 1.7.1

* Mon Nov 10 2014 Nikos Roussos <comzeradd@fedoraproject.org> - 1.7.0-2
- Add missing dependency

* Mon Nov 10 2014 Nikos Roussos <comzeradd@fedoraproject.org> - 1.7.0-1
- Updated to 1.7.0

* Sun Sep 14 2014 Dams <anvil[AT]livna.org> - 1.7.0-0.2.beta1
- Updated tarball URL

* Sun Sep 14 2014 Dams <anvil@livna.org> - 1.7.0-0.1.beta1
- Updated to 1.7.0-beta1
- Updated Patch0
- Added Patch1 to fix rpath in binaries
- Added nautilus subpackage

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 Rex Dieter <rdieter@fedoraproject.org> 1.5.4-2
- drop hard-coded Requires: neon, qtkeychain, let rpm autodeps handle it
- drop BR: gcc-c++
- -devel: tighten subpkg dep

* Mon May 05 2014 Joseph Marrero <jmarrero@fedoraproject.org> - 1.5.4-1
- Update to 1.5.4
* Thu Mar 20 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.5.3-3
- Use system qtlockedfile and qtsingleapplication instead of bundled ones
* Wed Mar 19 2014 Joseph Marrero <jmarrero@fedoraproject.org> - 1.5.3-2
- Updated Obsoletes for each subpackage
* Sun Mar 16 2014 Joseph Marrero <jmarrero@fedoraproject.org> - 1.5.3-1
- Update to latest Upstream version
- Merge owncloud-csync and mirall as upstream has done

* Thu Jan 09 2014 Joseph Marrero <jmarrero@fedoraproject.org> - 1.5.0-2
- Add requires owncloud-csync-libs
* Tue Jan 07 2014 Joseph Marrero <jmarrero@fedoraproject.org> - 1.5.0-1
- Update to latest upstream release
* Sun Dec 29 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.4.2-4
- Build with $RPM_OPT_FLAGS.
- Move ldconfig scriptlets to -common.
* Thu Nov 14 2013 <jmarrero@fedoraproject.org> 1.4.2-3
- Add Requires neon as noted by Manuel Faux
- Add backported patch created by Klass Freitag backported by Manuel Faux
* Tue Nov 12 2013 <jmarrero@fedoraproject.org> 1.4.2-2
- Add BuildRequires neon-devel
* Sat Oct 26 2013 <jmarrero@fedoraproject.org> 1.4.2-1
- Update to version 1.4.2
* Fri Oct 04 2013 <jmarrero@fedoraproject.org> 1.4.1-1
- Update to version 1.4.1
* Wed Sep 04 2013 <jmarrero@fedoraproject.org> 1.4.0-2
- Add qtwebkit-devel dependency
* Wed Sep 04 2013 <jmarrero@fedoraproject.org> 1.4.0-1
- Update to version 1.4.0
- Update URL
* Sun Aug 18 2013 <jmarrero@fedoraproject.org> 1.4.0beta2-1
- Update to testing version 1.4.0beta2
* Wed Jun 26 2013 <jmarrero@fedoraproject.org> 1.3.0-1
- Update to version 1.3.0
* Thu May 23 2013 <jmarrero@fedoraproject.org> 1.3.0beta1-1
- Update to testing version 1.3.0beta1
* Tue Apr 23 2013 <jmarrero@fedoraproject.org> 1.2.5-1
- Update to upstream version 1.2.5
* Thu Apr 11 2013 <jmarrero@fedoraproject.org> 1.2.4-1
- Update to uptream version 1.2.4
* Wed Apr 03 2013 <jmarrero@fedoraproject.org> 1.2.3-1
- remove plasma client files as is not officially merged uptream
- Update to 1.2.3 uptream version
* Tue Mar 05 2013 <jmarrero@fedoraproject.org> 1.2.2-2
- plasma client files fix
* Tue Mar 05 2013 <jmarrero@fedoraproject.org> 1.2.2-1
- add new Plasma client package
* Sat Mar 02 2013 <jmarrero@fedoraproject.org> 1.2.1-2
- moved libowncloudsync.so* to common as it is now used by mirall and owncloud-client
- re-added mirall .desktop launcher
* Sat Mar 02 2013 <jmarrero@fedoraproject.org> 1.2.1-1
- Update to 1.2.1
* Sat Jan 26 2013 <jmarrero@fedoraproject.org> 1.2.0-1
- Update to 1.2.0
* Sat Jan 19 2013 <jmarrero@fedoraproject.org> 1.2.0beta2-1
- update to 1.2.0beta2
* Fri Dec 21 2012 <jmarrero@fedoraproject.org> 1.2.0beta1-1
- Update to 1.2.0beta1
* Thu Dec 20 2012 <jmarrero@fedoraproject.org> 1.1.4-1
- Update to 1.1.4
* Tue Dec 04 2012 <jmarrero@fedoraproject.org> 1.1.3-1
- Update to 1.1.3
* Fri Oct 19 2012 <jmarrero@fedoraproject.org> 1.1.1-1
- Update to 1.1.1
* Mon Oct 15 2012 <jmarrero@fedoraproject.org> 1.1.0-2
- fix mirall-common dependency problem
* Sun Oct 14 2012 <jmarrero@fedoraproject.org> 1.1.0-1
- Version Upgrade to 1.1.0
- Removed the need to look for occsync now mirall looks for ocsync the new name of owncloud-csync
* Mon Aug 20 2012 <jmarrero@fedoraproject.org> 1.0.5-4
- removed unesesary cmake flags
* Fri Aug 17 2012 <jmarrero@fedoraproject.org> 1.0.5-3
- added icon scriplets for owncloud-client icons
- moved %%doc to mirall-common
- Added cmake  dcSYNC_INCLUDE_PATH:PATH=_includedir}/occsync and dc SYNC_LIBRARY:PATH=_libdir}/liboccsync.so to have mirall look for occsync instead of csync
- Removed uneeded dep
- Changelog corrections and clean up
* Thu Aug 16 2012 <jmarrero@fedoraproject.org> 1.0.5-2
- Divided mirall into mirall-common, mirall and owncloud-client
- Added dcMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed
- moved exclude.lst back to /etc/, the apps look for it there
- fixed icons descriptions
- added refresh icon cache
- updated csync dep to owncloud-csync
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.5-1
- Update to 1.0.5
- drop defattr
- remove not-needed dependencies
- changelog cleanup
- moved exclude.lst to /etc/mirall/
- fixed source01 and source 02 (icons)
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-2
- added mirall icon and smp flags plus code cleanup
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-1
- Initial try
